Bug 505602 - Preupgrade fails to check disk space correctly
Preupgrade fails to check disk space correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 10:56 EDT by Simon Andrews
Modified: 2014-01-21 18:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:33:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Andrews 2009-06-12 10:56:20 EDT
Description of problem:
The disk space performed by preupgrade doesn't match the path used by the actual preupgrade process

Version-Release number of selected component (if applicable):
preupgrade-1.1.0-1.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1.Start preupdrade with /var/cache/yum/preupgrade symlinked to a different partition
2.Perform the upgrade
  
Actual results:
Preupgrade checks the free space available under /var/cache/yum/preupgrade but actually puts most of its data in /var/cache/yum/ in preupgrade-xxx directories.

Expected results:
The data for preupdrade is actually placed under /var/cache/yum/preupgrade


Additional info:
What actually happened was:

1) Start preupgrade
2) Get part way through and stop because of insufficient space on /var
3) Symlink /var/cache/yum/preupgrade to /data/preupgrade and move existing content there
4) Upgrade fails because /var fills up
5) Move all of /var/cache/yum to /data and change /etc/yum.conf to specify /data/cache/yum as the cache dir
6) Restart preupgrade
7) Preupgrade still puts packages in /var/cache/yum despite the change to /etc/yum.conf

I'm not sure if preupgrade always ignores yum.conf (if it does then it shouldn't), but it doesn't re-read it when resuming.

The disk space check should also be more specific about which location it checks.
Comment 1 Parin 2009-11-13 12:39:56 EST
I am too facing the same proble is there a way to tell preupgrade to get space from some other directory??
Comment 2 Bug Zapper 2009-11-18 07:05:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:33:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.